Create a credential template
Use this endpoint to create a credential template (group).
Naming update
Groups are being renamed to Credential Templates to better reflect their purpose. This is a naming update only — all functionality remains the same.
During the transition, you may still see both terms used interchangeably across the API, app, and existing integrations.
Legacy request shape
For backward compatibility, this endpoint still accepts the legacy certificateDesignId and badgeDesignId request fields for the time being. Those fields are deprecated, intentionally omitted from the request schema below, and may be removed without notice. Use designIds for all new integrations.
If you use the legacy request shape, the response will also temporarily include legacy certificateDesignId and badgeDesignId fields for compatibility.
Authorization
BearerAuth Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.
In: header
Header Parameters
API version header. Required for all requests.
Request Body
application/json
The name of the credential template (group) that is used as [group.name] attribute later on
The ordered list of design template IDs associated with the credential template..
1 <= itemsThe learning event's URL that is shown in the digital wallet
uriResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.certifier.io/v1/groups" \ -H "Certifier-Version: 2022-10-26" \ -H "Content-Type: application/json" \ -d '{ "name": "Financial Markets", "designIds": [ "01fpwtztwf7sacca5r0c483mnm", "01hz2ej4yzdcfkq9fa78nhyj0x" ] }'{
"id": "01g90279gp5sbmfek7wymcsvec",
"name": "Financial Markets",
"learningEventUrl": "https://www.coursera.org/learn/financial-markets-global",
"designIds": [
"01fpwtztwf7sacca5r0c483mnm",
"01hz2ej4yzdcfkq9fa78nhyj0x"
],
"certificateDesignId": "01fpwtztwf7sacca5r0c483mnm",
"badgeDesignId": "01hz2ej4yzdcfkq9fa78nhyj0x",
"createdAt": "2022-01-01T00:00:00.000Z",
"updatedAt": "2022-01-01T00:00:00.000Z"
}{
"error": {
"code": "missing_version",
"message": "The request is missing the required Certifier-Version header"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid authentication token was not provided with the request"
}
}{
"error": {
"code": "payment_required",
"message": "The requested feature is only available to premium organizations"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource does not exist"
}
}{
"error": {
"code": "rate_limited",
"message": "You have exceeded the rate limit"
}
}{
"error": {
"code": "internal_server_error",
"message": "There was a problem on Certifier's end"
}
}